Skip to main content
PATCH
Update a payment link

Headers

x-api-key
string
required

Path Parameters

id
string
required

Body

application/json
title
string
Maximum string length: 200
Example:

"My Payment Page"

description
string
Maximum string length: 1000
Example:

"Pay for goods and services"

avatarUrl
string
Example:

"https://example.com/avatar.png"

accentColor
string
Maximum string length: 20
Example:

"#6366f1"

thankYouMessage
string
Maximum string length: 500
Example:

"Thank you for your payment!"

amountType
enum<string>

"flexible" | "fixed" | "preset"

Available options:
flexible,
fixed,
preset
Example:

"flexible"

fixedAmount
number
Required range: x >= 0.01
Example:

49.99

presetAmounts
number[]
Example:
currency
string
Maximum string length: 10
Example:

"USD"

minAmount
number
Required range: x >= 0.01
Example:

1

maxAmount
number
Required range: x >= 0.01
Example:

10000

acceptsCard
boolean
Example:

true

acceptsCrypto
boolean
Example:

false

collectName
boolean
Example:

true

collectEmail
boolean
Example:

true

collectNote
boolean
Example:

true

isActive
boolean
Example:

true

config
object

Church-specific config

Response

OK

success
boolean
required
Example:

true

data
object
required